package com.kuyuntech.vrv.coreservice.dao.core;

import com.kuyuntech.vrv.coreservice.domain.core.User;
import com.wbspool.fastboot.core.jpa.repository.FastbootRepository;


/**
 * UserDao
 */
public interface UserDao extends FastbootRepository<User, Long> {


    User findByCodeAndValid(String code, Short valid);


    User findByAccountAndPasswordAndValid(String account, String password, Short valid);

    User findByRoleFlagAndValidAndCode(String roleFlag, short valid, String code);
}
